Subject: bug#15260: closed (Re: bug#15260: cannot build in a directory with non-ascii characters)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Nov 2013 17:37:06 +0000

Your bug report

#15260: cannot build in a directory with non-ascii characters

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15260: cannot build in a directory with non-ascii characters
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 04 Nov 2013 19:35:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 31 Oct 2013 19:59:52 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> If no problems pop up, I will commit this in a few days.

No further comments, and I got fed up with resolving merge conflicts
every day, so I committed the changes, and I'm marking this bug done.

Thanks to everybody for their feedback and support.

Subject: cannot build in a directory with non-ascii characters
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 03 Sep 2013 13:46:32 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Severity: important
Version: 24.3

It seems Emacs (still) cannot be built in a directory whose name contains
non-ascii characters. Ref:

http://lists.gnu.org/archive/html/help-gnu-emacs/2013-09/msg00033.html

If it cannot be made to work, configure should abort with an error in
such cases.

I have some vague memory that it also might not work with spaces in the
names, but did not test.

Similar restrictions may apply to the install --prefix as well.